From 7e5798b844689238fea5886cc73aac725475c6e9 Mon Sep 17 00:00:00 2001
From: Thiago Moreira <thiago.cmoreira@yahoo.com.br>
Date: Oct 03 2017 20:43:35 +0000
Subject: [PATCH 1/6] Adding chart to reports visualization

- Adding bootstrap
- Adding chartsjs and creating analyzer errors component
- Creating pie graph with generic values

---

diff --git a/src/components/analyze/AnalyzerErrors.vue b/src/components/analyze/AnalyzerErrors.vue
new file mode 100644
index 0000000..2c41422
--- /dev/null
+++ b/src/components/analyze/AnalyzerErrors.vue
@@ -0,0 +1,22 @@
+<template>
+  <div>
+    <pie-graph></pie-graph>
+  </div>
+</template>
+
+<script>
+import PieGraph from './PieGraph.js'
+export default {
+  components: {
+    'pie-graph': PieGraph
+  }
+}
+</script>
+
+<style lang="scss" scoped>
+  div {
+    padding-top: 50px; 
+    max-width: 450px;
+    margin: 0 auto;
+  }
+</style>
\ No newline at end of file
diff --git a/src/components/analyze/PieGraph.js b/src/components/analyze/PieGraph.js
new file mode 100644
index 0000000..d38113e
--- /dev/null
+++ b/src/components/analyze/PieGraph.js
@@ -0,0 +1,16 @@
+import { Pie } from 'vue-chartjs'
+
+export default Pie.extend({
+  mounted () {
+    this.renderChart({
+      labels: ['False Path', 'True Path', 'Style Error', 'Lint Error'],
+      datasets: [
+        {
+          label: 'File Errors',
+          backgroundColor: ['#2066ac', '#072c62', '#4280a6', '#255888'],
+          data: [40, 20, 18, 30]
+        }
+      ]
+    })
+  }
+})
diff --git a/src/components/home/Home.vue b/src/components/home/Home.vue
index 7341376..8039518 100644
--- a/src/components/home/Home.vue
+++ b/src/components/home/Home.vue
@@ -2,17 +2,20 @@
   <div>
     <header-kiskadee></header-kiskadee>
     <list-packages></list-packages>
+    <analyzer-errors></analyzer-errors>
   </div>
 </template>
 
 <script>
 import HeaderK from '../shared/HeaderK.vue'
 import List from '../packages/List.vue'
+import AnalyzerErrors from '../analyze/AnalyzerErrors'
 
 export default {
   components: {
     'header-kiskadee': HeaderK,
-    'list-packages': List
+    'list-packages': List,
+    'analyzer-errors': AnalyzerErrors
   }
 }
 </script>
diff --git a/src/main.js b/src/main.js
index a025eca..668d5fd 100644
--- a/src/main.js
+++ b/src/main.js
@@ -10,6 +10,7 @@ import ElementUI from 'element-ui'
 import 'element-ui/lib/theme-default/index.css'
 import lang from 'element-ui/lib/locale/lang/en'
 import locale from 'element-ui/lib/locale'
+import BootstrapVue from 'bootstrap-vue'
 
 locale.use(lang)
 
@@ -18,6 +19,11 @@ Vue.use(DataTables)
 import VueMaterial from 'vue-material'
 Vue.use(VueMaterial)
 
+import 'bootstrap/dist/css/bootstrap.css'
+import 'bootstrap-vue/dist/bootstrap-vue.css'
+
+Vue.use(BootstrapVue)
+
 Vue.use(VueRouter)
 
 Vue.material.registerTheme('default', {
@@ -27,7 +33,7 @@ Vue.material.registerTheme('default', {
   },
   accent: 'black',
   warn: 'black',
-  background: 'black'
+  background: 'white'
 })
 
 Vue.config.productionTip = false

